.header {
    position: absolute;
    width: 100%;
    font-size: large;
    background-color: #4f5b66;
    padding-bottom: 1%;
    box-shadow: 0 8px 6px -6px black;
}

.header-items {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding-inline: 10%;
    margin-top: 1%;
}

.menu-items {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 30%;
    border: rgba(0, 0, 0, 0.5);
}

.collapsed {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 1%;
}

.titleCollapsed {
    align-self: center;
    font-size: xx-large;
}

.hoverable {
    border-radius: 50%;
}

.hoverable:hover {
    background-color: rgba(0, 0, 0, 0.568);
    color: white;
}

.hamburgerIcon {
    position: absolute;
    right: 2%;
}

.menu {
    position: fixed;
    background-color: gray;
    top: 0;
    left: 0;
    width: 80%;
    height: 100%;
    z-index: 50;
}

.menuMask {
    position: fixed !important;
    background-color: rgba(0, 0, 0, 0.5);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 50;
}

.menu-title {
    width: 100%;
    border-bottom: black;
}

.menu-transition {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 50;
}

.overflow {
    width: 100%;
    margin: 0;
    top: 50%;
    overflow-y: auto;
}

.hamburger-icon {
    position: absolute;
    z-index: 100;
    top: -3vh;
    right: 85vw;
    padding-bottom: 2vh;
}

.hamburger-icon span {
    height: 5px;
    width: 40px;
    background-color: black;
    display: block;
    margin: 5px 0px 5px 0px;
    transition: 0.7s ease-in-out;
    transform: none;
}

#openmenu:checked ~ .menu-pane {
    left: -5vw;
    transform: translateX(-5vw);
}

#openmenu:checked ~ .hamburger-icon span:nth-of-type(2) {
    transform: translate(0%, 175%) rotate(-45deg);
    background-color: white;
}

#openmenu:checked ~ .hamburger-icon span:nth-of-type(3) {
    transform: rotate(45deg);
    background-color: white;
}

#openmenu:checked ~ .hamburger-icon span:nth-of-type(1) {
    opacity: 0;
}

#openmenu:checked ~ .hamburger-icon span:nth-of-type(4) {
    opacity: 0;
}

input.hamburger-checkbox {
    position: absolute;
    z-index: 3;
    top: 5vh;
    right: 5vw;
    width: 10vw;
    opacity: 0;
    height: 6vh;
}